Bug 496232 - xrandr device names change with/without kernel modesetting
xrandr device names change with/without kernel modesetting
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
: 501557 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-17 09:18 EDT by Mary Ellen Foster
Modified: 2010-06-28 07:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:52:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log (147.10 KB, text/plain)
2009-04-17 09:18 EDT, Mary Ellen Foster
no flags Details

  None (edit)
Description Mary Ellen Foster 2009-04-17 09:18:39 EDT
Created attachment 340001 [details]
Xorg.0.log

Description of problem:
My graphics card is an Intel X4500HD (reported by lspci as "00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev07)".

Fedora comes up correctly in the native resolution of my laptop's internal display, but xrandr reports no other modes are possible. Here's the output (with no external monitor plugged in):

Screen 0: minimum 320 x 200, current 1920 x 1200, maximum 8192 x 8192
VGA1 disconnected (normal left inverted right x axis y axis)
LVDS1 connected 1920x1200+0+0 (normal left inverted right x axis y axis) 331mm x 207mm
   1920x1200      60.0*+   40.0
DVI1 disconnected (normal left inverted right x axis y axis)
DVI2 disconnected (normal left inverted right x axis y axis)
TV1 unknown connection (normal left inverted right x axis y axis)
   1024x768       60.0
   800x600        60.3
   640x480        59.9

If I ever give a presentation off this laptop, it's always nice to be able to synch the on-screen resolution with that of the data projector, so it would be nice to see at least 1024x768 and 1280x1024 in there. In Windows, other resolutions like 1600x1200 are also available too.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.6.99.902-3.fc11.i586

How reproducible:
Every time

Steps to Reproduce:
1. Run xrandr
  
Actual results:
Only the native resolution is listed

Expected results:
Other resolutions like 1600x1200, 1280x1024, etc. are listed

Additional info:
I'll attach my XOrg.0.log from my current session. I plugged in and then unplugged an external monitor during this session to see what xrandr would do. I don't use an xorg.conf
Comment 1 Mary Ellen Foster 2009-04-17 09:21:01 EDT
Now that I actually look at the log I posted, it appears that the EDID for my panel actually only returns the 1920x1200 resolution. So this may be NOTABUG (or at least NOTANINTELBUG) actually ...
Comment 2 Mary Ellen Foster 2009-05-08 14:47:02 EDT
Turns out that if I boot with "nomodeset", then the other resolutions reappear. My outputs get renamed too: with modesetting, they're called LVDS1 and VGA1, but without modesetting they're called LVDS and VGA.

Similar things also happen on my husband's computer, which has a Radeon graphics card, so I'm reassigning this to the X server instead of the Intel driver.
Comment 3 Mary Ellen Foster 2009-05-11 08:52:44 EDT
To be concrete, here's the output of xrandr with kernel mode-setting on:
Screen 0: minimum 320 x 200, current 3200 x 1200, maximum 8192 x 8192
VGA1 connected 1280x1024+1920+0 (normal left inverted right x axis y axis) 359mm
 x 287mm
   1280x1024      60.0*+   75.0
   1024x768       75.1     60.0
   800x600        75.0     60.3
   640x480        75.0     60.0
   720x400        70.1
LVDS1 connected 1920x1200+0+0 (normal left inverted right x axis y axis) 331mm x
 207mm
   1920x1200      60.0*+   40.0
DVI1 disconnected (normal left inverted right x axis y axis)
DVI2 disconnected (normal left inverted right x axis y axis)
TV1 unknown connection (normal left inverted right x axis y axis)
   1024x768       60.0
   800x600        60.3

And here's the output with mode-setting off (nb: the different screen configuration isn't relevant):
Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 1920 x 1920
VGA connected 1280x1024+0+0 (normal left inverted right x axis y axis) 359mm x 2
87mm
   1280x1024      60.0*+   75.0     60.0*
   1152x864       75.0
   1024x768       75.0     60.0
   800x600        75.0     60.3
   640x480        75.0     59.9
   720x400        70.1
LVDS connected 1280x1024+0+0 (normal left inverted right x axis y axis) 331mm x
207mm
   1920x1200      60.0 +   40.0
   1400x1050      60.0
   1280x1024      60.0*
   1280x960       60.0
   1024x768       60.0
   800x600        60.3     56.2
   640x480        59.9
HDMI-1 disconnected (normal left inverted right x axis y axis)
HDMI-2 disconnected (normal left inverted right x axis y axis)
TV disconnected (normal left inverted right x axis y axis)

Different maximum screen size, different output names (VGA vs. VGA1), different modes available on LVDS(1) ... is any of this expected or documented anywhere?
Comment 4 Mary Ellen Foster 2009-05-22 08:46:32 EDT
Okay, the resolution issue is bug 496813, and the maximum size is apparently an inherent property of mode-setting, fine.

However, the changing device names are still a problem, one which causes issues with both the command-line xrandr tool and xorg.conf-based configuration if you want it to work with/without mode-setting.
Comment 5 James M. Leddy 2009-05-22 12:13:24 EDT
*** Bug 501557 has been marked as a duplicate of this bug. ***
Comment 6 Bug Zapper 2009-06-09 09:59:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Matěj Cepl 2009-11-05 13:26:40 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Mary Ellen Foster 2009-11-15 12:37:58 EST
As far as I can tell, the device-name changing still happens with the latest Fedora 11 Xorg drivers, and also with Fedora 12.
Comment 9 Bug Zapper 2010-04-27 09:43:40 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 07:52:27 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.